Graduate New Filters UX out of beta on Recent Changes on ALL wikis
Closed, ResolvedPublic

Description

This tracks the graduation of the New Filters UX out of beta on RC page. It also shows a schedule for beta graduation and for release of the New Filters UX on Watchllist as a beta.

Main Features comprising the "Integrated Filters" project

Release group 1
Release group 2
Release 3, Add Watchlist to Beta
Release 4, Graduate beta UX
Release group 5
Release group 6

Beta graduation blockers (RC page)

Performance

High priority tickets

Related Objects

StatusAssignedTask
OpenDannyH
Resolvedjmatazzoni
Resolvedjmatazzoni
Resolved Mattflaschen-WMF
ResolvedMooeypoo
ResolvedJdforrester-WMF
Resolvedjmatazzoni
ResolvedSBisson
OpenNone
OpenNone
Resolvedjmatazzoni
ResolvedCatrope
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedSBisson
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
ResolvedCatrope
ResolvedCatrope
ResolvedMooeypoo
DuplicateNone
Resolvedjmatazzoni
Resolvedjmatazzoni
OpenNone
ResolvedPetar.petkovic
ResolvedSBisson
ResolvedSBisson
ResolvedMooeypoo
OpenNone
ResolvedMooeypoo
ResolvedMooeypoo
OpenNone
ResolvedCatrope
ResolvedCatrope
ResolvedPetar.petkovic
There are a very large number of changes, so older changes are hidden. Show Older Changes
jmatazzoni updated the task description. (Show Details)Aug 9 2017, 10:09 PM
jmatazzoni updated the task description. (Show Details)Aug 17 2017, 12:38 AM
jmatazzoni updated the task description. (Show Details)

This ticket is redundant, yet not completely in sync with, the team board description where the release schedule is currently maintained https://phabricator.wikimedia.org/project/profile/2828/

Can we get rid of one of the other?

jmatazzoni closed this task as Invalid.Sep 13 2017, 8:32 PM
jmatazzoni added a subscriber: jmatazzoni.

Yes. Thanks @SBisson. For a long time I was keeping this up to date, but it was duplicate work so I eventually let it go. I'll close this.

Restricted Application removed a subscriber: Liuxinyu970226. · View Herald TranscriptSep 13 2017, 8:32 PM
jmatazzoni renamed this task from Graduate New Filters for Edit Review on RC page out of beta on Recent Changes to Graduate New Filters UX out of beta on Recent Changes.Sep 13 2017, 10:18 PM
jmatazzoni updated the task description. (Show Details)
jmatazzoni reopened this task as Open.
jmatazzoni added subscribers: Mooeypoo, Etonkovidova.
jmatazzoni added a subscriber: Arrbee.

Reopening this task at James' request. I am going to take this info OFF of the Q1 board, so as to avoid having the two get out of phase. This is the main place to look now for our Q1 priority tasks.

jmatazzoni updated the task description. (Show Details)Sep 13 2017, 10:39 PM
jmatazzoni updated the task description. (Show Details)Sep 14 2017, 3:43 PM
jmatazzoni updated the task description. (Show Details)
jmatazzoni updated the task description. (Show Details)Sep 15 2017, 12:21 AM

Change 378264 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Enable structured change filters by default on cawiki, frwiki and hewiki

https://gerrit.wikimedia.org/r/378264

Change 378265 had a related patch set uploaded (by Catrope; owner: Catrope):
[operations/mediawiki-config@master] Enable structured change filters by default on all wikis

https://gerrit.wikimedia.org/r/378265

jmatazzoni updated the task description. (Show Details)Sep 18 2017, 5:18 PM
jmatazzoni updated the task description. (Show Details)Sep 18 2017, 8:41 PM
jmatazzoni updated the task description. (Show Details)Sep 18 2017, 9:35 PM

Change 378264 merged by jenkins-bot:
[operations/mediawiki-config@master] Enable structured change filters by default on cawiki, frwiki and hewiki

https://gerrit.wikimedia.org/r/378264

Mentioned in SAL (#wikimedia-operations) [2017-09-19T16:26:14Z] <catrope@tin> Synchronized wmf-config/InitialiseSettings.php: Enable RCFilters by default on cawiki, frwiki and hewiki (T157642) (duration: 00m 59s)

jmatazzoni updated the task description. (Show Details)Sep 20 2017, 11:45 PM
jmatazzoni updated the task description. (Show Details)
jmatazzoni updated the task description. (Show Details)
jmatazzoni updated the task description. (Show Details)Sep 20 2017, 11:47 PM
jmatazzoni updated the task description. (Show Details)Sep 21 2017, 5:13 PM
jmatazzoni updated the task description. (Show Details)Sep 21 2017, 9:18 PM
jmatazzoni updated the task description. (Show Details)Sep 22 2017, 4:57 PM
jmatazzoni updated the task description. (Show Details)Sep 22 2017, 5:00 PM
jmatazzoni updated the task description. (Show Details)Sep 22 2017, 5:02 PM
jmatazzoni updated the task description. (Show Details)
jmatazzoni updated the task description. (Show Details)Sep 22 2017, 7:05 PM
jmatazzoni updated the task description. (Show Details)Sep 26 2017, 4:12 PM
jmatazzoni updated the task description. (Show Details)Sep 29 2017, 9:39 PM
jmatazzoni renamed this task from Graduate New Filters UX out of beta on Recent Changes to Graduate New Filters UX out of beta on Recent Changes on ALL wikis.
jmatazzoni updated the task description. (Show Details)Nov 22 2017, 7:18 PM

Principle work on the Integrated Filters project—and the New Filters for Edit Review in general—has concluded, and this ticket has been closed. There are a number of useful features that has been planned which Global Collaboration Team was not able to get to, but we are certain the features provided constitute a very robust product. The features whose development was postponed have been labeled as such above.

Collaboration Team understands that some of these would be very desirable, and we'd love to get back to working on them one day. If there is a feature you'd like to advocate for, please consider the annual Wishlist Survey, or just speak up on the ticket.